I can't use the QGIS plugin Sentinel hub with a Proxy

  • 26 April 2024
  • 2 replies
  • 3 views

Hello,
I can’t use the Qgis plugin with a proxy. I’ve tried several proxy configurations: default, http… Has anyone solved this problem?

2023-12-11T17:47:54 WARNING Traceback (most recent call last):
File “C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\connection.py”, line 159, in _new_conn
conn = connection.create_connection(
File “C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\util\connection.py”, line 84, in create_connection
raise err
File “C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\util\connection.py”, line 74, in create_connection
sock.connect(sa)
ConnectionRefusedError: [WinError 10061] Aucune connexion n’a pu être établie car l’ordinateur cible l’a expressément refusée

         During handling of the above exception, another exception occurred:
         
         Traceback (most recent call last):
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\connectionpool.py", line 670, in urlopen
          httplib_response = self._make_request(
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\connectionpool.py", line 381, in _make_request
          self._validate_conn(conn)
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\connectionpool.py", line 978, in _validate_conn
          conn.connect()
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\connection.py", line 309, in connect
          conn = self._new_conn()
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\connection.py", line 171, in _new_conn
          raise NewConnectionError(
         urllib3.exceptions.NewConnectionError: : Failed to establish a new connection: [WinError 10061] Aucune connexion n’a pu être établie car l’ordinateur cible l’a expressément refusée
         
         During handling of the above exception, another exception occurred:
         
         Traceback (most recent call last):
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\requests\adapters.py", line 439, in send
          resp = conn.urlopen(
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\connectionpool.py", line 726, in urlopen
          retries = retries.increment(
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\urllib3\util\retry.py", line 446, in increment
          raise MaxRetryError(_pool, url, error or ResponseError(cause))
         urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='services.sentinel-hub.com', port=443): Max retries exceeded with url: /oauth/token (Caused by NewConnectionError(': Failed to establish a new connection: [WinError 10061] Aucune connexion n’a pu être établie car l’ordinateur cible l’a expressément refusée'))
         
         During handling of the above exception, another exception occurred:
         
         Traceback (most recent call last):
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\exceptions.py", line 62, in new_action_method
          action_method(plugin, *args, **kwargs)
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\main.py", line 222, in login
          configurations = new_manager.get_configurations(reload=True)
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\sentinelhub\configuration.py", line 47, in get_configurations
          result_list = self.client.download(url, session_settings=self.settings).json()
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\sentinelhub\client.py", line 38, in download
          headers = self._prepare_headers(session_settings)
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\sentinelhub\client.py", line 52, in _prepare_headers
          session = self._get_session(session_settings)
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\sentinelhub\client.py", line 64, in _get_session
          session = Session(
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\sentinelhub\session.py", line 39, in __init__
          _ = self.token
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\sentinelhub\session.py", line 57, in token
          self._token = self._fetch_token()
          File "C:\Users/name_user/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\SentinelHub\sentinelhub\session.py", line 77, in _fetch_token
          return oauth_session.fetch_token(
          File "C:\Users\name_user\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\SentinelHub\external\requests_oauthlib-1.3.1-py2.py3-none-any.whl\requests_oauthlib\oauth2_session.py", line 341, in fetch_token
          r = self.request(
          File "C:\Users\name_user\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\SentinelHub\external\requests_oauthlib-1.3.1-py2.py3-none-any.whl\requests_oauthlib\oauth2_session.py", line 521, in request
          return super(OAuth2Session, self).request(
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\requests\sessions.py", line 530, in request
          resp = self.send(prep, **send_kwargs)
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\requests\sessions.py", line 643, in send
          r = adapter.send(request, **kwargs)
          File "C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\requests\adapters.py", line 516, in send
          raise ConnectionError(e, request=request)
         requests.exceptions.ConnectionError: HTTPSConnectionPool(host='services.sentinel-hub.com', port=443): Max retries exceeded with url: /oauth/token (Caused by NewConnectionError(': Failed to establish a new connection: [WinError 10061] Aucune connexion n’a pu être établie car l’ordinateur cible l’a expressément refusée'))

2 replies

Hi @camille.n ,

Thank you for reporting. This is a known issue and we’re working on it.

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.

Reply


Planet Monitoring
Investors

© 2024 Planet Labs PBC. All rights reserved.
| Privacy Policy | California Privacy Notice | California Do Not Sell
Your Privacy Choices | Cookie Notice | Terms of Use